#
# spec file for package ocaml-ocamlbuild
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-ocamlbuild
Version:        0.14.3
Release:        1.1
%{?ocaml_preserve_bytecode}
Summary:        Generic build tool for building OCaml library and programs
License:        LGPL-2.0-only WITH OCaml-LGPL-linking-exception
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/ocamlbuild
Source:         %name-%version.tar.xz
BuildRequires:  ocaml
BuildRequires:  ocaml-rpm-macros >= 20231101
Requires:       %name-devel = %version

%description
OCamlbuild is a generic build tool, that has built-in rules for
building OCaml library and programs.

OCamlbuild was distributed as part of the OCaml distribution for
OCaml versions between 3.10.0 and 4.02.3. Starting from OCaml
4.03, it is now released separately.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1

%build
tee %name.sh <<'_EOF_'
set -x
exec \
make \
PREFIX=%_prefix \
OCAML_NATIVE_TOOLS=true \
OCAML_NATIVE=true \
"$@"
_EOF_
sh %name.sh -f configure.make
sh %name.sh configure
sh %name.sh %{?_smp_mflags}

%install
sh %name.sh \
install \
DESTDIR=%buildroot %{?_smp_mflags}
%ocaml_create_file_list

%files -f %name.files
%doc Changes
%_bindir/*
%_mandir/man*/*

%files devel -f %name.files.devel

%changelog
* Tue Dec 12 2023 ohering@suse.de
- Update to version 0.14.3
  see included Changes file for details
* Sun Jan  1 2023 ohering@suse.de
- Update to version 0.14.2
  * Add OCaml 5.1 support
* Tue Apr 26 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.14.1
  * Add OCaml 5.00 support
  * Fix race conditions when invoking ocamlbuild in parallel from
    a makefile
* Fri Apr  9 2021 ohering@suse.de
- Require current ocaml-rpm-macros
- Remove ocaml_native_compiler conditional
  build native target unconditionally
* Thu Feb 20 2020 ohering@suse.de
- Require current ocaml-rpm-macros
* Mon Sep 23 2019 ohering@suse.de
- Update to version 0.14.0, with _service
  See included Changes for details
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Update to version 0.11.0
  See included Changes for details
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Mon Jul 17 2017 ohering@suse.de
- Remove autodeps for pre openSUSE 12.1 releases
* Wed May 18 2016 ohering@suse.de
- Initial version 0.9.2 (fate#320836)
  Separate project after ocaml-4.03
